Accumulo
  1. Accumulo
  2. ACCUMULO-191

system scope libthrift dependency breaks transitive dependencies

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.3.5
    • Component/s: None
    • Labels:
      None

      Description

      libthrift-0.3.jar is not available in any public maven repository, so we included it in the contrib directory and referred to it as a system scope dependency. However, building client that includes accumulo-core as a dependency results in:

      [WARNING] The POM for org.apache.accumulo:accumulo-core:jar:1.3.5-incubating-SNAPSHOT is invalid, transitive dependencies (if any) will not be available, enable debug logging for more details
      

      The system scope dependency in the current pom.xml refers to a path that is not an absolute path when the pom.xml is referenced by external projects.

      One solution would be to host libthrift-0.3 in a semi-private repository (e.g. incubator.apache.org/accumulo/mvn_repo), and change the pom to include that repository with libthrift version 0.3 with a compile scope.

      This is only a 1.3 branch problem, since 1.4 and later use a thrift version that is in the apache maven repository.

        Activity

        Hide
        Adam Fuchs added a comment -

        Need to merge into 1.3.5rc branch

        Show
        Adam Fuchs added a comment - Need to merge into 1.3.5rc branch

          People

          • Assignee:
            Adam Fuchs
            Reporter:
            Adam Fuchs
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development